Summary:	WYSIWYW scientific text editor
Name:		texmacs
Version:	1.99.2
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		http://www.texmacs.org
Source0:	http://www.texmacs.org/Download/ftp/tmftp/source/TeXmacs-%{version}-src.tar.gz
Source10:	TeXmacs.16.png
Source11:	TeXmacs.32.png
Source12:	TeXmacs.48.png
Patch0:		TeXmacs-1.99.1-lz-deflate.patch
Patch1:		TeXmacs-1.99.2-qreal-double.patch
Requires:	texlive

%rename	TeXmacs
%rename	TeXmacs-fonts

BuildRequires:	pkgconfig(x11)
BuildRequires:	freetype2-devel
BuildRequires:	guile1.8-devel 
BuildRequires:	guile1.8 
BuildRequires:	guile1.8-runtime
BuildRequires:	qt4-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libxext-devel
BuildRequires:	ghostscript

%description
GNU TeXmacs is a free wysiwyw (what you see is what you want) editing platform
with special features for scientists. The software aims to provide a unified
and user friendly framework for editing structured documents with different
types of content (text, graphics, mathematics, interactive content, etc.).
The rendering engine uses high-quality typesetting algorithms so as to produce
professionally looking documents, which can either be printed out or presented
from a laptop.

The software includes a text editor with support for mathematical formulas,
a small technical picture editor and a tool for making presentations from
a laptop. Moreover, TeXmacs can be used as an interface for many external
systems for computer algebra, numerical analysis, statistics, etc. New
presentation styles can be written by the user and new features can be added
to the editor using the Scheme extension language. A native spreadsheet
and tools for collaborative authoring are planned for later.

%prep
%setup -q -n TeXmacs-%{version}-src
%patch0 -p1
%patch1 -p1

%build
%configure2_5x --enable-optimize="%{optflags} -fpermissive" --with-qt="%qt4dir"
%make LDFLAGS="%{?ldflags}"

%install
%makeinstall_std
export GUILE_DATA_PATH=`guile-config info pkgdatadir`
export GUILE_LOAD_PATH=`find $GUILE_DATA_PATH -type d | grep ice-9`

# icons
install -d %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
cp -a %{SOURCE10} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
cp -a %{SOURCE11} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
cp -a %{SOURCE12} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p  %{buildroot}%{_datadir}/applications
cp -a %{buildroot}%{_datadir}/TeXmacs/misc/mime/texmacs.desktop %{buildroot}%{_datadir}/applications/

sed -i -e 's/^Icon=%{name}.xpm$/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

desktop-file-install \
  --remove-category="Application" \
  --remove-key="Path" \
  --add-category="Office;WordProcessor;Math;" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# Remove unused icon cache
rm -f %{buildroot}%{_iconsdir}/gnome/icon-theme.cache
# Remove mime garbage
rm -f %{buildroot}%{_datadir}/mime/{a,g,i,m,s,tr,ty,v,X}*

%files
%{_bindir}/fig2ps
%{_bindir}/texmacs
%{_includedir}/TeXmacs.h
%{_mandir}/*/*
%{_libexecdir}/TeXmacs
%{_datadir}/TeXmacs
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/gnome/scalable/apps/TeXmacs.svg
%{_iconsdir}/gnome/scalable/mimetypes/text-texmacs.svg
%{_datadir}/applications/texmacs.desktop
%{_datadir}/application-registry/texmacs.applications
%{_datadir}/mime-info/texmacs.keys
%{_datadir}/mime-info/texmacs.mime
%{_datadir}/mime/packages/texmacs.xml
#{_datadir}/mime/text/x-texmacs.xml
%{_datadir}/pixmaps/TeXmacs.xpm


%changelog
* Sat Mar 26 2016 daviddavid <daviddavid> 1.99.2-1.mga6
+ Revision: 995611
- new version: 1.99.2
- update files list

* Tue Feb 09 2016 daviddavid <daviddavid> 1.99.1-6.mga6
+ Revision: 952931
- add patch1 from Fedora to fix qreal-to-double casting error on arm

* Tue Feb 09 2016 umeabot <umeabot> 1.99.1-5.mga6
+ Revision: 952294
- Mageia 6 Mass Rebuild

* Mon Feb 16 2015 luigiwalser <luigiwalser> 1.99.1-4.mga5
+ Revision: 815008
- try to add lz to linker command line for binary for deflate symbol

* Wed Oct 15 2014 umeabot <umeabot> 1.99.1-3.mga5
+ Revision: 751064
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.99.1-2.mga5
+ Revision: 689850
- Mageia 5 Mass Rebuild

* Sun Jun 22 2014 malo <malo> 1.99.1-1.mga5
+ Revision: 638600
- remove file
- update to 1.99.1

* Thu Dec 05 2013 malo <malo> 1.0.7.19-4.mga4
+ Revision: 555382
- compile with guile1.8

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7.19-3.mga4
+ Revision: 533331
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 fwang <fwang> 1.0.7.19-2.mga4
+ Revision: 472563
- build with permissive
- build with guile 2.0

* Sat Jun 08 2013 malo <malo> 1.0.7.19-1.mga4
+ Revision: 440557
- remove mime file from files section (patch by William Murphy)
- update to 1.0.7.16 (patch from William Murphy)

* Mon Jan 14 2013 umeabot <umeabot> 1.0.7.16-3.mga3
+ Revision: 384486
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 malo <malo> 1.0.7.16-2.mga3
+ Revision: 288670
- compile against ghostscript to generate correct pdf (Bug 7245)

* Tue Jul 10 2012 fwang <fwang> 1.0.7.16-1.mga3
+ Revision: 269170
- update file list
- br qt4
- use configure2_5x
- use cmake
- new version 1.0.7.16

* Sat Feb 04 2012 malo <malo> 1.0.7.11-2.mga2
+ Revision: 204495
- fix Requires and BuildRequires (thanks to David Walser)

* Thu Feb 02 2012 malo <malo> 1.0.7.11-1.mga2
+ Revision: 203979
- spec clean-up after import from Mandriva
- imported as texmacs instead of TeXmacs
- imported package texmacs


* Sun Jan 22 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.0.7.11-1mdv2012.0
+ Revision: 764947
- BR fixed
- new version 1.0.7.11

* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 1.0.7.2-3
+ Revision: 635130
- do not build tarball, it is not buildable with current R
- fix linkage
- rebuild
- tighten BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.0 packages

* Sat Jun 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.7.2-1mdv2010.0
+ Revision: 383195
- BuildRequires: R-base for R plug-in
- update to new version 1.0.7.2

* Mon Feb 02 2009 Funda Wang <fwang@mandriva.org> 1.0.7.1-2mdv2009.1
+ Revision: 336570
- rebuild

* Fri Jan 02 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.7.1-1mdv2009.1
+ Revision: 323409
- Update to new version 1.0.7.1

* Thu Oct 16 2008 Frederik Himpe <fhimpe@mandriva.org> 1.0.7-1mdv2009.1
+ Revision: 294435
- update to new version 1.0.7

* Sat Aug 16 2008 Frederik Himpe <fhimpe@mandriva.org> 1.0.6.15-1mdv2009.0
+ Revision: 272755
- update to new version 1.0.6.15

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.0.6.12-5mdv2009.0
+ Revision: 261532
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.0.6.12-4mdv2009.0
+ Revision: 254497
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - fix typo calling %%update_icon_cache in %%post

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Wed Nov 07 2007 Funda Wang <fwang@mandriva.org> 1.0.6.12-2mdv2008.1
+ Revision: 106707
- rebuild for new lzma

  + Thierry Vignaud <tv@mandriva.org>
    - shortenize description

* Mon Nov 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6.12-1mdv2008.1
+ Revision: 106135
- do not hardcode incon extension
- remove wrong entries in desktop file, add math category also
- optimized compilation
- add scriplets
- drop patch 0, fixed upstram
- spec file clean
- new version 1.0.6.12
- new license policy

* Mon Jul 23 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.0.6.10-4mdv2008.0
+ Revision: 54611
- Add Requires R-base, axiom and maxima.

* Sun Jul 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6.10-3mdv2008.0
+ Revision: 54497
- remove requires on R-base,axiom and maxima (closes bug #31734)
- drop old menu style
- remove X-MandrivaLinux
- move icons into fdo directories
- spec file clean

* Sat Jun 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6.10-2mdv2008.0
+ Revision: 40385
- rebuild for R-base

* Tue May 15 2007 David Walluck <walluck@mandriva.org> 1.0.6.10-1mdv2008.0
+ Revision: 26774
- 1.0.6.10
- bunzip2 sources
- replace  with %%{buildroot}
- add patch to fix build

* Tue May 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6.9-2mdv2008.0
+ Revision: 20038
- rebuild against new R-base


* Tue Feb 13 2007 Lenny Cartier <lenny@mandriva.com> 1.0.6.9-1mdv2007.0
+ Revision: 120412
- Update to 1.0.6.9

* Thu Jan 18 2007 Lenny Cartier <lenny@mandriva.com> 1.0.6.8-1mdv2007.1
+ Revision: 110346
- Update to 1.0.6.8

* Wed Dec 13 2006 Lenny Cartier <lenny@mandriva.com> 1.0.6.7-1mdv2007.1
+ Revision: 96410
- Update to 1.0.6.7

* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.6.6-2mdv2007.1
+ Revision: 73127
- Add BuildRequires

  + Lenny Cartier <lenny@mandriva.com>
    - Import TeXmacs

* Thu Aug 24 2006 Lenny Cartier <lenny@mandriva.com> 1.0.6.6-1mdv2007.0
- 1.0.6.6
- remove patch0 now useless

* Thu Aug 10 2006 Lenny Cartier <lenny@mandriva.com> 1.0.6.5-1mdv2007.0
- 1.6.0.5
- xdg

* Wed Jun 21 2006 Lenny Cartier <lenny@mandriva.com> 1.0.6.3-1mdv2007.0
- 1.6.0.3

* Fri Jun 09 2006 Lenny Cartier <lenny@mandriva.com> 1.0.6.2-1mdv2007.0
- 1.0.6.2

* Sat May 13 2006 Lenny Cartier <lenny@mandriva.com> 1.0.6.1-1mdk
- 1.0.6.1

* Mon Dec 05 2005 Lenny Cartier <lenny@mandriva.com> 1.0.6-1mdk
- 1.0.6

* Wed Nov 16 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.12-1mdk
- 1.0.5.12

* Tue Oct 25 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.11-1mdk
- 1.0.5.11

* Sat Oct 01 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.9-1mdk
- 1.0.5.9

* Fri Sep 23 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.8-1mdk
- 1.0.5.8

* Wed Jul 27 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.6-1mdk
- 1.0.5.6

* Fri Jun 10 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.3-1mdk
- 1.0.5.3

* Thu Jun 09 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.2-1mdk
- 1.0.5.2

* Wed May 18 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5.1-1mdk
- 1.0.5.1

* Fri Apr 29 2005 Lenny Cartier <lenny@mandriva.com> 1.0.5-1mdk
- 1.0.5

* Tue Apr 26 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.4.7-3mdk
- Removed Patch2 (doesn't work properly), and add AXIOMsys
  wrapper under axiom package.

* Tue Apr 26 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.4.7-2mdk
- Added Patch for axiom and maxima.

* Wed Apr 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.7-1mdk
- 1.0.4.7

* Wed Feb 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.6-1mdk
- 1.0.4.6

* Wed Feb 16 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.4.5-2mdk
- Added Patch0, to allow R >= 2.0.0 to be called from within TeXmacs.

* Thu Dec 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.5-1mdk
- 1.0.4.5

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.4-1mdk
- 1.0.4.4

* Thu Oct 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.3-1mdk
- 1.0.4.3

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.2-1mdk
- 1.0.4.2

* Sat Aug 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4.1-2mdk
- fix typo in menu entry

* Thu Aug 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4.1-1mdk
- 1.0.4.1

* Thu Jul 29 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Tue Jul 20 2004 Michael Scherer <misc@mandrake.org> 1.0.3.11-1mdk
- New release 1.0.3.11
- rpmbuildupdate aware
- some spec cleaning

* Tue May 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.9-1mdk
- 1.0.3.9

* Sat May 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.8-1mdk
- 1.0.3.8

* Mon Feb 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3.3-1mdk
- 1.0.3.3

